diff -u cvsps-2.1/debian/changelog cvsps-2.1/debian/changelog
--- cvsps-2.1/debian/changelog
+++ cvsps-2.1/debian/changelog
@@ -1,3 +1,10 @@
+cvsps (2.1-5.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix the ugly strip_path bug.
+
+ -- Klaus Ethgen <Klaus@Ethgen.de>  Sun, 18 Jan 2009 17:46:55 +0100
+
 cvsps (2.1-5) unstable; urgency=low
 
   * Sync from Ubuntu to Debian, fixing 64-bit issue in Debian (Closes: #489219)
only in patch2:
unchanged:
--- cvsps-2.1.orig/cvsps.c
+++ cvsps-2.1/cvsps.c
@@ -1041,7 +1041,10 @@
      * from the 'nominal' repository path because of symlinks in the server and 
      * the like.  See also the 'parse_file' routine
      */
-    strip_path_len = snprintf(strip_path, PATH_MAX, "%s/%s/", p, repository_path);
+    if (strncmp(repository_path, ".", 1) == 0)
+       strip_path_len = snprintf(strip_path, PATH_MAX, "%s/", p);
+    else
+       strip_path_len = snprintf(strip_path, PATH_MAX, "%s/%s/", p, repository_path);
 
     if (strip_path_len < 0 || strip_path_len >= PATH_MAX)
     {
